--=============================================================================--
-- ★ 障碍物件类
--=============================================================================--

障碍物件 = class()


function 障碍物件:初始化(名称,图片纹理,初始坐标x,初始坐标y,是否移动)
	
	self.精灵 = D2D_精灵.创建 (图片纹理, 0, 0, 引擎:取图片宽度 (图片纹理), 引擎:取图片高度 (图片纹理))
	self.显示坐标 = {x=初始坐标x,y=初始坐标y}

	self.精灵_宽度 = self.精灵:取宽度 ()
	self.精灵_高度 = self.精灵:取高度 ()


	self.移动 = 是否移动
	
	if(self.移动) then
		self.x移动速度 = 2
		self.y移动速度 = 2
	end

	self.障碍_名称 = 名称

	
end



function 障碍物件:更新()

	if(self.移动) then
		self.显示坐标.x = self.显示坐标.x + self.x移动速度
		if(self.显示坐标.x > 800 - self.精灵_宽度 or self.显示坐标.x <0)then
			self.x移动速度 = -self.x移动速度
		end
		
		self.显示坐标.y = self.显示坐标.y + self.y移动速度
		if(self.显示坐标.y > 600 - self.精灵_高度 or self.显示坐标.y <0)then
			self.y移动速度 = -self.y移动速度
		end	
		
	end
	
	

end




function 障碍物件:显示()

	self.精灵:显示(self.显示坐标.x,self.显示坐标.y )
	
	文字:显示 (取整(self.显示坐标.x + (self.精灵_宽度- 文字:取宽度 (self.障碍_名称)) / 2), 
				   取整(self.显示坐标.y  + self.精灵_高度 / 2), self.障碍_名称)


	引擎:画圆 (取整 (self.显示坐标.x + self.精灵_宽度/ 2), self.显示坐标.y + self.精灵_高度, 5, 50, 颜色_黄)


end



function 障碍物件:取Y轴参照点()

	return  (self.显示坐标.y + self.精灵_高度)
	
end
